version: "3.1"

volumes:
  mysql_data:

##
# Services
##
services:
    ##
    # Heiniken Microservices: fpm, nginx, database, phpmyadmin
    ##
    heiniken_fpm:
        container_name: heiniken-fpm
        build: ./docker/microservices/api/php/
        working_dir: /var/www/html
        volumes:
           - ./:/var/www/html
        expose:
            - 9000

    heiniken_nginx:
        container_name: heiniken-nginx
        build: ./docker/microservices/api/nginx/
        volumes:
           - ./:/var/www/html
        links:
            - heiniken_fpm
        depends_on:
            - heiniken_fpm
        ports:
            - 6060:80
